<?php

namespace FiloBlu\DisableShop\Plugin\Magento\Catalog\Model;

class Config {

    protected $_helper;

    public function __construct(
    \FiloBlu\DisableShop\Helper\Data $helper
    ) {
        $this->_helper = $helper;
    }

    public function aroundGetAttributeUsedForSortByArray(
    $subject, $proceed
    ) {

        $result = $proceed();

        if ($this->_helper->canHidePrice()) {
            unset($result["price"]);
        }

        return $result;
    }

}
